Using another version of the Open Toolkit

By default, the Output Generator uses version 1.6.2 of the DITA Open Toolkit, but you can configure it to use another version.

You can use the DITA Open Toolkit 1.5.4 version packaged with the Output Generator or you can download a version from the DITA Open Toolkit site.

Note: The current version of the Output Generator was tested with versions 1.5.4 and 1.6.2 of the DITA Open Toolkit. While the Output Generator may work with other versions, it has not been tested and is therefore not supported on these versions. You may need to customize the Open Toolkit or the Output Generator.

The Output Generator can only use one version of the Open Toolkit at the same time.

To use another version of the Open Toolkit:
  • Step 1: Download the new version
  • Step 2: Configure the Output Generator to use this version

If you use the org.dita.pdf2 plug-in, you also need to update it.